<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:image="http://www.google.com/schemas/sitemap-image/1.1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">

    {# on boucle sur les URLs #}
    {% for url in urls %}
        <url>
            {# on vérifie si le nom d'hôte (hostname) est présent dans l'URL #}
            {# Si il n'y est pas, on l'ajoute  #}
            <loc>
            {% if url.loc |replace({hostname:""}) == url.loc %}
                {{hostname}}{{url.loc}}
            {% else %}
                {{url.loc}}
            {% endif %}
            </loc>
        </url>
        
    {% endfor %}

</urlset>
